Subject: Re: bug#56444: Acknowledgement (Gitolite home directory permissions)

From: Evgeny Pisemsky <[email-masked]>
Date: Fri, 08 Jul 2022 11:10:42 +0300

After some digging I came up to the procedure `activate-users+groups' in
the file `gnu/build/activation.scm' and found the following lines:

┌────
│ ;; Always set ownership and permissions for home directories of system
│ ;; accounts.  If a service needs looser permissions on its home
│ ;; directories, it can always chmod it in an activation snippet.
│ (chown home (passwd:uid pwd) (passwd:gid pwd))
│ (chmod home #o700)))
└────

So it looks like the case for gitolite activation procedure - it should
chmod the home directory with respect to the umask value.